=== debian/changelog ===
maim (3.3.41-1) unstable; urgency=low

  * Initial release (Closes: #819330)

 -- Patrick O'Doherty <p@trickod.com>  Sun, 13 Mar 2016 21:06:37 -0700
