=== debian/changelog ===
maim (5.4.64-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #869627), includes:
    * fixing manpage path and build
    * add missing dependencies (glm, xomposite, mesa, etc)
  * Add slop to dependencies as it is required for building now (Closes:
    #851593)
  * Improve description (Closes: #819533)
  * Remove dh-make template in debian/README.source
  * Update to standards 4.0.0, no change

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Jul 2017 10:45:07 -0400
