## maim 5.4.68

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     set( MANTARGET "maim.1" )
 endif()
 
-add_definitions(-DMAIM_VERSION="v5.4.64")
+add_definitions(-DMAIM_VERSION="v5.4.68")
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/bin/")
 
@@ -35,13 +35,15 @@
 
 # Obtain library paths and make sure they exist.
 set( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/modules" )
-find_package( PNG       REQUIRED )
-find_package( JPEG      REQUIRED )
-find_package( XRandr    REQUIRED )
-find_package( XFixes    REQUIRED )
-find_package( X11       REQUIRED )
-find_package( SLOP      REQUIRED )
-find_package( Threads   REQUIRED )
+find_package( PNG        REQUIRED )
+find_package( JPEG       REQUIRED )
+find_package( XRandr     REQUIRED )
+find_package( XRender    REQUIRED )
+find_package( XFixes     REQUIRED )
+find_package( XComposite REQUIRED )
+find_package( X11        REQUIRED )
+find_package( SLOP       REQUIRED )
+find_package( Threads    REQUIRED )
 
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD_REQUIRED ON)
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD 11)
@@ -51,8 +53,10 @@
                      ${X11_INCLUDE_DIR}
                      ${SLOP_INCLUDE_DIR}
                      ${XFIXES_INCLUDE_DIR}
+                     ${XCOMPOSITE_INCLUDE_DIR}
                      ${JPEG_INCLUDE_DIR}
                      ${XRANDR_INCLUDE_DIR}
+                     ${XRENDER_INCLUDE_DIR}
                      ${PNG_INCLUDE_DIRS} )
 
 # Libraries
@@ -61,9 +65,24 @@
                        ${X11_LIBRARIES}
                        ${PNG_LIBRARIES}
                        ${XFIXES_LIBRARY}
+                       ${XCOMPOSITE_LIBRARY}
                        ${XRANDR_LIBRARY}
                        ${JPEG_LIBRARIES}
+                       ${XRENDER_LIBRARY}
                        ${SLOP_LIBRARIES} )
+
+if( CMAKE<3.7 )
+  message( WARNING "CMake version is below 3.7, CMake version >= 3.7 is required for unicode support." )
+else()
+  find_package(ICU COMPONENTS uc)
+  set( MAIM_UNICODE TRUE CACHE BOOL "To enable or disable unicode support." )
+  if ( MAIM_UNICODE AND ICU_FOUND )
+      # ICU is required for old nvidia drivers to work for whatever reason.
+      add_definitions(-DCXXOPTS_USE_UNICODE)
+      include_directories( ${ICU_INCLUDE_DIR} )
+      target_link_libraries( ${BIN_TARGET} ${ICU_UC_LIBRARIES} )
+  endif()
+endif()
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
