=== debian/changelog ===
maim (5.4.68-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Aug 2017 16:14:51 -0400
