=== debian/control ===
Source: maim
Section: x11
Priority: optional
Maintainer: Patrick O'Doherty <p@trickod.com>
Build-Depends: debhelper (>= 9)
             , cmake
             , ruby-ronn
             , libimlib2-dev
             , libxrandr-dev
             , libxfixes-dev
             , mesa-common-dev
             , libgl1-mesa-dev
             , libglm-dev
             , libxcomposite-dev
             , slop
Standards-Version: 4.0.0
Homepage: https://github.com/naelstrof/maim
Vcs-Git: https://github.com/naelstrof/maim.git

Package: maim
Architecture: any
Depends: ${shlibs:Depends}
       , ${misc:Depends}
       , slop
Description: takes screenshots of your desktop
 maim (make image) takes screenshots of your desktop. It has options
 to take only a region, and relies on another program called slop to
 query the user for regions using the graphical interface.
 .
 maim is command line tool that is supposed to be an improved scrot.
