=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,6 @@
 %:
 	dh $@ 
 
-override_dh_auto_build:
-	dh_auto_build --
-	ronn -r man-src/maim.1.ronn
-
 override_dh_auto_clean:
 	dh_auto_clean --
 	rm -rf src/cmdline.h Makefile CMakeCache.txt CMakeFiles cmake_install.cmake
