=== debian/changelog ===
maim (5.5.2-1) unstable; urgency=medium

  * New upstream version 5.5.2 (Closes: #879238)
  * add myself to uploaders, after discussion with maintainer (Closes: #870082)
  * remove unused Build-Depends: ruby-ronn (Closes: #903095)
  * fix Vcs-* URLs (Closes: #879237)
  * update standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Aug 2018 16:53:34 -0400
