=== debian/changelog ===
maim (5.5.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:44 +0100

maim (5.5.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Antoine Beaupré ]
  * New upstream version 5.5.3

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2019 20:24:11 -0400
