=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean --
