=== debian/changelog ===
maim (5.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:30:59 -0400
