=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Patrick O'Doherty <p@trickod.com>
+Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 9)
              , cmake
-             , ruby-ronn
              , libimlib2-dev
              , libxrandr-dev
              , libxfixes-dev
@@ -13,9 +13,10 @@
              , libglm-dev
              , libxcomposite-dev
              , slop
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/naelstrof/maim
-Vcs-Git: https://github.com/naelstrof/maim.git
+Vcs-Git: https://salsa.debian.org/debian/maim.git
+Vcs-Browser: https://salsa.debian.org/debian/maim
 
 Package: maim
 Architecture: any
