## maim 5.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required( VERSION 3.1.3 )
 
-project(maim VERSION 5.6.3 LANGUAGES CXX)
+project(maim VERSION 5.7.4 LANGUAGES CXX)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE "Debug")
@@ -31,6 +31,7 @@
 set( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/modules" )
 find_package( PNG        REQUIRED )
 find_package( JPEG       REQUIRED )
+find_package( WebP       REQUIRED )
 find_package( XRandr     REQUIRED )
 find_package( XRender    REQUIRED )
 find_package( XFixes     REQUIRED )
@@ -38,6 +39,7 @@
 find_package( X11        REQUIRED )
 find_package( SLOP       REQUIRED )
 find_package( Threads    REQUIRED )
+find_package( GLM        REQUIRED )
 
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD_REQUIRED ON)
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD 11)
@@ -47,12 +49,14 @@
 include_directories( ${XRANDR_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR}
                      ${SLOP_INCLUDE_DIR}
+                     ${GLM_INCLUDE_DIR}
                      ${XFIXES_INCLUDE_DIR}
                      ${XCOMPOSITE_INCLUDE_DIR}
                      ${JPEG_INCLUDE_DIR}
                      ${XRANDR_INCLUDE_DIR}
                      ${XRENDER_INCLUDE_DIR}
-                     ${PNG_INCLUDE_DIRS} )
+                     ${PNG_INCLUDE_DIRS}
+                     ${WEBP_INCLUDE_DIR} )
 
 # Libraries
 target_link_libraries( ${BIN_TARGET}
@@ -64,7 +68,8 @@
                        ${XRANDR_LIBRARY}
                        ${JPEG_LIBRARIES}
                        ${XRENDER_LIBRARY}
-                       ${SLOP_LIBRARIES} )
+                       ${SLOP_LIBRARIES}
+                       ${WEBP_LIBRARY} )
 
 if( ${CMAKE_VERSION} VERSION_LESS 3.7 )
   message( WARNING "CMake version is below 3.7, CMake version >= 3.7 is required for unicode support." )
