=== debian/changelog ===
maim (5.7.4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:51 +1100

maim (5.7.4-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:19:49 +0000

maim (5.7.4-2) unstable; urgency=medium

  * version the dependency to slop (Closes: #960420)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 01 Jun 2022 15:22:03 -0400

maim (5.7.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Antoine Beaupré ]
  * new upstream release (Closes: #994890)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 31 Mar 2022 12:18:52 -0400
