=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: maim
 Section: x11
 Priority: optional
-Maintainer: Patrick O'Doherty <p@trickod.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick O'Doherty <p@trickod.com>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13)
              , cmake
              , libimlib2-dev
              , libxrandr-dev
@@ -12,7 +13,8 @@
              , libgl1-mesa-dev
              , libglm-dev
              , libxcomposite-dev
-             , slop
+             , libslopy7.6
+             , libslopy-dev
 Standards-Version: 4.2.1
 Homepage: https://github.com/naelstrof/maim
 Vcs-Git: https://salsa.debian.org/debian/maim.git
@@ -22,7 +24,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
        , ${misc:Depends}
-       , slop
+       , libslopy7.6
 Description: takes screenshots of your desktop
  maim (make image) takes screenshots of your desktop. It has options
  to take only a region, and relies on another program called slop to
