=== debian/changelog ===
maim (5.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113264)
  * Stop hardcoding libslopy7.6 dependencies. (Closes: #1117564)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Oct 2025 10:38:26 +0300

maim (5.8.0-1) unstable; urgency=medium

  * new upstream release
  * fix FTBFS with ICU 75.1+, thanks gcs (Closes: #1099837)
  * fix deprecated mesa depend

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 28 Mar 2025 13:23:51 -0400
