=== debian/control ===
Source: maim
Section: x11
Priority: optional
Maintainer: Patrick O'Doherty <p@trickod.com>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13)
             , cmake
             , libimlib2-dev
             , libxrandr-dev
             , libxfixes-dev
             , mesa-common-dev
             , libgl-dev
             , libglm-dev
             , libxcomposite-dev
             , libslopy-dev
Standards-Version: 4.2.1
Homepage: https://github.com/naelstrof/maim
Vcs-Git: https://salsa.debian.org/debian/maim.git
Vcs-Browser: https://salsa.debian.org/debian/maim

Package: maim
Architecture: any
Depends: ${shlibs:Depends}
       , ${misc:Depends}
Description: takes screenshots of your desktop
 maim (make image) takes screenshots of your desktop. It has options
 to take only a region, and relies on another program called slop to
 query the user for regions using the graphical interface.
 .
 maim is command line tool that is supposed to be an improved scrot.
