=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/maim-$1\.tar\.gz/ \
  https://github.com/naelstrof/maim/tags .*/v?(\d\S*)\.tar\.gz
